package states;

import luxe.States;
import luxe.Scene;
import luxe.Color;
import luxe.importers.tiled.TiledMap;
import phoenix.Texture;
import luxe.Entity;
import luxe.Sprite;

import map.MapLoader;
import Clock;

class Splash extends State {
    var splashScene:Scene;
    var splash:Null<Sprite>;

    public function new() {
        super({ name: 'Splash' });
        splashScene = new Scene('Splash');



    }

    override function onenter<T>(_:T) {
        var splashTex =  Luxe.resources.texture("assets/splash_logos.png");
        splash = new Sprite({
            name: "splashlogo",
            texture: splashTex,
            pos: Luxe.screen.mid,
            centered: true,
            scene : splashScene
        });
        Luxe.timer.schedule( 1.5, function() {Main.fsm.set("Menu");});
    }

    override function onleave<T>(_:T) {
        splash.destroy();
        splashScene.reset();
    }
}
